Cliente API

Endpoints para clientes

Lista de usarios

GET /internal/admin/clients

Retorna una lista de usuarios.

Parameters

Name Description
per_page Cantidad de recursos por pagina
page Pagina
column Columna por la cual ordenar opciones: username y created_at
order_column ASC o DESC
username String para buscar usuarios coincidentes
level Nivel de KYC, opciones: financial, commercial

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/admin/clients

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"0e5f3587d65d9377c22fb398aa3cc4e1"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 57fc3cbb-154c-4bf9-870c-7efce8a62e62
X-Runtime: 0.094484
Vary: Origin
Content-Length: 2116

Status

200 OK

Body

{
  "data": [
    {
      "id": 10005,
      "username": "pepe@hotmail.com",
      "created_at": "2023-03-30T00:50:37.121Z",
      "personal_information": {
        "id": 1,
        "first_name": "Kori",
        "last_name": "Stoltenberg",
        "nationality": "Papua New Guineans",
        "gender": "Male",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1999-03-24",
        "client_id": 10005,
        "created_at": "2023-03-30T00:50:37.176Z",
        "updated_at": "2023-03-30T00:50:37.176Z",
        "document_type": "dni",
        "document_number": "28-3945364",
        "state": "pending"
      },
      "fiscal_information": {
      },
      "kyc": false,
      "digital_documents": [

      ]
    },
    {
      "id": 10006,
      "username": "alberto@gmail.com",
      "created_at": "2023-03-30T00:50:37.457Z",
      "personal_information": {
        "id": 2,
        "first_name": "Freeman",
        "last_name": "Huels",
        "nationality": "Ghanaians",
        "gender": "Male",
        "marital_status": "married",
        "politically_exposed": false,
        "birthday": "1966-09-28",
        "client_id": 10006,
        "created_at": "2023-03-30T00:50:37.472Z",
        "updated_at": "2023-03-30T00:50:37.472Z",
        "document_type": "dni",
        "document_number": "31-4015844",
        "state": "pending"
      },
      "fiscal_information": {
      },
      "kyc": false,
      "digital_documents": [

      ]
    },
    {
      "id": 10007,
      "username": "milagros@gmail.com",
      "created_at": "2023-03-30T00:50:37.749Z",
      "personal_information": {
        "id": 3,
        "first_name": "Claribel",
        "last_name": "McCullough",
        "nationality": "Poles",
        "gender": "Male",
        "marital_status": "widower",
        "politically_exposed": false,
        "birthday": "1992-11-23",
        "client_id": 10007,
        "created_at": "2023-03-30T00:50:37.761Z",
        "updated_at": "2023-03-30T00:50:37.761Z",
        "document_type": "dni",
        "document_number": "15-4143566",
        "state": "pending"
      },
      "fiscal_information": {
      },
      "kyc": false,
      "digital_documents": [

      ]
    },
    {
      "id": 10008,
      "username": "alejandro@gmail.com",
      "created_at": "2023-03-30T00:50:38.042Z",
      "personal_information": {
      },
      "fiscal_information": {
        "id": 2,
        "description": "Vision-oriented discrete software",
        "commercial_name": "Rolfson Inc",
        "legal_name": "Dach-Quigley",
        "document_type": "cuit",
        "document_number": "58-2284247",
        "iva_condition": "enrolled",
        "user_id": 10008,
        "user_type": "User",
        "created_at": "2023-03-30T00:50:38.064Z",
        "updated_at": "2023-03-30T00:50:38.064Z",
        "state": "pending"
      },
      "kyc": false,
      "digital_documents": [

      ]
    }
  ],
  "current_page": 1,
  "per_page": 25,
  "total_pages": 1,
  "total_elements": 4
}